# Uses of Class
org.sunflow.core.IntersectionState

Packages that use IntersectionState
Package
Description
org.sunflow.core
org.sunflow.core.accel
org.sunflow.core.light
org.sunflow.core.primitive
org.sunflow.core.renderer

## Uses of IntersectionState in org.sunflow.core

Methods in org.sunflow.core with parameters of type IntersectionState
Modifier and Type
Method
Description
`void`
Scene.`accumulateStats(IntersectionState state)`
`ShadingState`
Scene.`getRadiance(IntersectionState istate, float rx, float ry, double lensU, double lensV, double time, int instance, int dim, ShadingCache cache)`
Get the radiance seen through a particular pixel
`void`
AccelerationStructure.`intersect(Ray r, IntersectionState istate)`
Intersect the specified ray with the geometry in local space.
`void`
PrimitiveList.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
Intersect the specified primitive in local space.

## Uses of IntersectionState in org.sunflow.core.accel

Methods in org.sunflow.core.accel with parameters of type IntersectionState
Modifier and Type
Method
Description
`void`
BoundingIntervalHierarchy.`intersect(Ray r, IntersectionState state)`
`void`
KDTree.`intersect(Ray r, IntersectionState state)`
`void`
NullAccelerator.`intersect(Ray r, IntersectionState state)`
`void`
UniformGrid.`intersect(Ray r, IntersectionState state)`

## Uses of IntersectionState in org.sunflow.core.light

Methods in org.sunflow.core.light with parameters of type IntersectionState
Modifier and Type
Method
Description
`void`
ImageBasedLight.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
SunSkyLight.`intersectPrimitive(Ray r, int primID, IntersectionState state)`

## Uses of IntersectionState in org.sunflow.core.primitive

Methods in org.sunflow.core.primitive with parameters of type IntersectionState
Modifier and Type
Method
Description
`void`
Background.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
BanchoffSurface.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Box.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
CornellBox.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
CubeGrid.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Cylinder.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Hair.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
JuliaFractal.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
ParticleSurface.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Plane.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
QuadMesh.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Sphere.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
SphereFlake.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
Torus.`intersectPrimitive(Ray r, int primID, IntersectionState state)`
`void`
TriangleMesh.`intersectPrimitive(Ray r, int primID, IntersectionState state)`

## Uses of IntersectionState in org.sunflow.core.renderer

Methods in org.sunflow.core.renderer with parameters of type IntersectionState
Modifier and Type
Method
Description
`void`
SimpleRenderer.`renderBucket(int bx, int by, IntersectionState istate)`